//
//  CoreDataAdditions.h
//  CoreDataCooking
//

#import <Cocoa/Cocoa.h>

// Core DatayɎg߂̂܂\bh
@interface NSManagedObjectContext (CoreDataAdditions)

- (NSEntityDescription *)entityForName:(NSString *)aName;
- (id)insertNewObjectForEntityForName:(NSString *)aName;
- (NSFetchRequest *)fetchRequestWithEntityName:(NSString *)aName;

- (NSArray *)fetchWithEntityName:(NSString *)aName
                           error:(NSError **)error
             predicateWithFormat:(NSString *)format, ...;
- (NSArray *)fetchWithEntityName:(NSString *)aName
                           error:(NSError **)error
             predicateWithFormat:(NSString *)format
                       arguments:(va_list)argList;

@end
