//  CoreDataCookingAppDelegate.h
//  CoreDataCooking
//
//  Created by ?? ?? on 05/05/26.
//  Copyright __MyCompanyName__ 2005 . All rights reserved.

#import <Cocoa/Cocoa.h>

@interface CoreDataCookingAppDelegate : NSObject 
{
    IBOutlet NSWindow *window;
    
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
    NSString *predicateString;
}

- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;
- (IBAction)resetAction:sender;
- (IBAction)fetchAction:sender;
- (IBAction)insertAction:sender;
- (IBAction)deleteAction:sender;
- (IBAction)updateAction:sender;

- (void)createTestData;
- (void)logPendingObjects;

@end
